> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Store Settings

> Store user settings.

Accepts a partial payload and deep-merges ``agent_settings_diff`` and
``conversation_settings_diff`` with the existing persisted values so that
saving one settings page never overwrites fields owned by another.

Returns:
    200: Settings stored successfully
    422: Legacy nested settings keys are rejected
    500: Error storing settings



## OpenAPI

````yaml /openapi/openhands-cloud.json post /api/v1/settings
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/settings:
    post:
      tags:
        - Settings
      summary: Store Settings
      description: >-
        Store user settings.


        Accepts a partial payload and deep-merges ``agent_settings_diff`` and

        ``conversation_settings_diff`` with the existing persisted values so
        that

        saving one settings page never overwrites fields owned by another.


        Returns:
            200: Settings stored successfully
            422: Legacy nested settings keys are rejected
            500: Error storing settings
      operationId: store_settings_api_v1_settings_post
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
              title: Payload
        required: true
      responses:
        '200':
          description: Settings stored successfully
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response 200 Store Settings Api V1 Settings Post
        '422':
          description: Legacy nested settings keys are not accepted
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response 422 Store Settings Api V1 Settings Post
        '500':
          description: Error storing settings
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response 500 Store Settings Api V1 Settings Post
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````